{ config, pkgs, ... }:
{
  programs.neovim = {
    enable = true;
    viAlias = true;
    vimAlias = true;
    defaultEditor = true;
    plugins = with pkgs.vimPlugins; [
      vim-nix
      rust-vim
      rust-tools-nvim
      nvim-cmp
      snippets-nvim
      nvim-treesitter
      nvim-treesitter-parsers.rust
      nvim-treesitter-parsers.lua
      nvim-treesitter-parsers.toml
      mason-nvim
      mason-tool-installer-nvim
      mason-lspconfig-nvim
      fzf-vim
      sleuth
      whitespace-nvim # ,t to trim whitespace
      vimsence
      vim-wordy #:Wordy [kind], :NoWordy
      vim-pencil #:Pencil, :NoPencil
      telescope-nvim
    ];
    extraLuaConfig = (builtins.readFile ./rcfiles/neovim.lua);
  };
}
